| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Logging

## Description

This section contains various helper/utility functions for library logging facilities.

These functions are thread-safe.

## Enumerations
enum | bladerf_log_level { BLADERF_LOG_LEVEL_VERBOSE , BLADERF_LOG_LEVEL_DEBUG , BLADERF_LOG_LEVEL_INFO , BLADERF_LOG_LEVEL_WARNING , BLADERF_LOG_LEVEL_ERROR , BLADERF_LOG_LEVEL_CRITICAL , BLADERF_LOG_LEVEL_SILENT }

## Functions
API_EXPORT void CALL_CONV | bladerf_log_set_verbosity (bladerf_log_level level)

## Enumeration Type Documentation

## ◆ bladerf_log_level

enum bladerf_log_level

Severity levels for logging functions

Enumerator
BLADERF_LOG_LEVEL_VERBOSE | Verbose level logging
BLADERF_LOG_LEVEL_DEBUG | Debug level logging
BLADERF_LOG_LEVEL_INFO | Information level logging
BLADERF_LOG_LEVEL_WARNING | Warning level logging
BLADERF_LOG_LEVEL_ERROR | Error level logging
BLADERF_LOG_LEVEL_CRITICAL | Fatal error level logging
BLADERF_LOG_LEVEL_SILENT | No output

Definition at line 4433 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_log_set_verbosity()

API_EXPORT void CALL_CONV bladerf_log_set_verbosity | ( | bladerf_log_level | level | ) |

Sets the filter level for displayed log messages.

Messages that are at or above the specified log level will be printed, while messages with a lower log level will be suppressed.

Parameters

  [in] | level | The new log level filter value